NVRAM(4)

NAME
nvram - Mostek MK48T0x battery-backed realtime clock

SYNOPSIS
nvram0 at pcctwo0 offset 0xc0000 (MVME1x7)
nvram0 at syscon0 offset 0x80000 (MVME188)

DESCRIPTION
The nvram driver provides support for the Mostek MK48T02 (on MVME188) or MK48T08 (on MVME1x7) realtime clocks chips.

In addition to the clock itself, these chips embed 2KB (MK48T02) or 8KB (MK48T08) of battery-backed memory, which is accessible through the special /dev/nvram0 file.

FILES
/dev/nvram0

SEE ALSO
intro(4), pcctwo(4), syscon(4)

CAVEATS
The last 8 bytes of the battery-backed memory contains the realtime clock registers. Writing to these locations will interfere with proper clock operation.

The second half of the battery-backed memory (including the clock registers) is reserved by Motorola for use by the BUG firmware to store its configuration data. The nvram driver does not prevent access to this reserved part.